Page MenuHomePhabricator

Package and deploy ATS v8.x
Closed, ResolvedPublic

Description

A new major version of ATS, v8.x, will be released soon. As a LTS, it will be supported for 2 years. That's the major version we will use in production.

Package and deploy ATS v8 when it's made available.

Event Timeline

ema created this task.Sep 13 2018, 12:40 PM
Restricted Application added a project: Operations. · View Herald TranscriptSep 13 2018, 12:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ema triaged this task as Normal priority.Sep 13 2018, 12:41 PM
ema updated the task description. (Show Details)
ema moved this task from Triage to Caching on the Traffic board.Sep 14 2018, 9:12 AM

Apache Traffic Server v8.0.0 was released on September 25th, 2018. Debian packaging work is ongoing.

Change 464764 had a related patch set uploaded (by Ema; owner: Ema):
[operations/debs/trafficserver@master] Backport ATS 8.0.0 to stretch-wikimedia

https://gerrit.wikimedia.org/r/464764

Mentioned in SAL (#wikimedia-operations) [2018-10-23T10:13:31Z] <ema> upload libc++ 6.0.1 to stretch-wikimedia/main T204232

Change 464764 merged by Ema:
[operations/debs/trafficserver@master] Backport ATS 8.0.0 to stretch-wikimedia

https://gerrit.wikimedia.org/r/464764

Mentioned in SAL (#wikimedia-operations) [2018-10-23T14:00:48Z] <ema> upload trafficserver 8.0.0-1wm1 to stretch-wikimedia/main T204232

Change 469408 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: temporarily avoid calling 'verify_config' in ExecReload

https://gerrit.wikimedia.org/r/469408

Change 469408 merged by Ema:
[operations/puppet@production] ATS: temporarily avoid calling 'verify_config' in ExecReload

https://gerrit.wikimedia.org/r/469408

Change 469412 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: remove synthetic and mgmt ports configuration

https://gerrit.wikimedia.org/r/469412

Change 469412 merged by Ema:
[operations/puppet@production] ATS: remove synthetic and mgmt ports configuration

https://gerrit.wikimedia.org/r/469412

Mentioned in SAL (#wikimedia-operations) [2018-10-24T11:22:34Z] <ema> cp1071: upgrade trafficserver to 8.0.0-1wm1 T204232

Change 469417 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: use YAML format for logging config file

https://gerrit.wikimedia.org/r/469417

Change 469417 merged by Ema:
[operations/puppet@production] ATS: use YAML format for logging config file

https://gerrit.wikimedia.org/r/469417

Mentioned in SAL (#wikimedia-operations) [2018-10-24T12:12:53Z] <ema> cp1072: upgrade trafficserver to 8.0.0-1wm1 T204232

Mentioned in SAL (#wikimedia-operations) [2018-10-24T12:24:13Z] <ema> cp-ats: upgrade trafficserver to 8.0.0-1wm1 T204232

Change 469421 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: stop shipping Lua format logging config file

https://gerrit.wikimedia.org/r/469421

Change 469421 merged by Ema:
[operations/puppet@production] ATS: stop shipping Lua format logging config file

https://gerrit.wikimedia.org/r/469421

ema closed this task as Resolved.Oct 24 2018, 12:52 PM
ema claimed this task.

Upgrade finished!

Change 469875 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: check HTTP responses from prometheus exporter

https://gerrit.wikimedia.org/r/469875

Change 470573 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] prometheus-trafficserver-exporter: executable renamed

https://gerrit.wikimedia.org/r/470573

Mentioned in SAL (#wikimedia-operations) [2018-10-30T13:31:11Z] <ema> prometheus-trafficserver-exporter 0.2.0-1 uploaded to stretch-wikimedia T204232

Change 470573 merged by Ema:
[operations/puppet@production] prometheus-trafficserver-exporter: executable renamed

https://gerrit.wikimedia.org/r/470573

Change 469875 merged by Ema:
[operations/puppet@production] ATS: check HTTP responses from prometheus exporter

https://gerrit.wikimedia.org/r/469875